void Created(SceneObject@+ self)
{
	self.Physics.add_collision_box(vector2df(1.0f, 1.0f), vector2df(0.0f, 0.0f), 0.0f);
	self.Physics.LinearDampening = 5.0f;
	self.Physics.AngularDampening = 5.0f;
	//self.Physics.FixedRotation = true;
}

void OnBeginContact(SceneObject@+ self, SceneObject@+ other)
{
	Engine.log("Contact!");
}

void OnEvent(SceneObject@+ self, SceneObject@+ sender, string event, string data, vector2df origin, float range)
{
	if (event != "sword")
		return;
	if (sender is null)
		return;

	//vector2df move = vector2df(self.Position.X, self.Position.Y + 32.0f) - vector2df(sender.Position.X, sender.Position.Y);
	vector2df move = vector2df(self.Position.X, self.Position.Y) - origin;
	move.normalize();
	self.Physics.apply_impulse(move * 50.0f, origin);
}

void Update(SceneObject@+ self, uint tick)
{
	//self.Rotation = self.Rotation + (360 * (float(tick) / 1000.0f));
}
